Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Interface CacheMarshaller

All Known Implementing Classes:
  CacheMarshallerImpl, NoOpCacheMarshaller

    public interface CacheMarshaller

Responsible for marshalling and unmarshalling objects between memory and durable cache.

Since:
  1.1.0

Nested Class Summary
`static interface` | `CacheMarshaller.ValidationPolicy` Validation policies are responsible for computing whether or not a cached data structure is valid for the current context.

Method Summary
`String` | `getId()` The id that this marshaller is responsible for.
`Object` | `load()` Load and return an instance of the type handled by this marshaller.
`void` | `setId(String id)` The id that this marshaller is responsible for.
`void` | `setValidationPolicy(String policy)` The `CacheMarshaller.ValidationPolicy` that this marshaller should use.
`void` | `store(Object o)` Store `o` into the cache.

Method Detail

### load

    Object load()

  Load and return an instance of the type handled by this marshaller. If the type implements `Configurable`, then this method will invoke `Configurable.setConfiguration(org.apache.openjpa.lib.conf.Configuration)`, `Configurable.startConfiguration()`, and `Configurable.endConfiguration()` on the instance before returning.

### store

    void store(Object o)

  Store `o` into the cache.

### setId

    void setId(String id)

  The id that this marshaller is responsible for. A value for this parameter is required.

### getId

    String getId()

  The id that this marshaller is responsible for.

### setValidationPolicy

    void setValidationPolicy(String policy)
                             throws InstantiationException,
                                    IllegalAccessException

  The `CacheMarshaller.ValidationPolicy` that this marshaller should use. A value for this parameter is required. The class will be instantiated via the `Configurations` mechanism, ensuring that if the class implements `Configurable` or `GenericConfigurable`, it will be taken through the appropriate lifecycle.

  Throws:
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.